package com.saye.hospitalgd.service;

import com.saye.hospitalgd.entity.HisbillsHistory;

import java.util.HashMap;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 *
 * @author： Mr.zs
 * @date： 2022/12/2
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
public interface HisbillsHistoryService {

    void saveHisHistoryData(HashMap<Object, Object> hisbillsOriginal);

    List<HashMap<Object, Object>> findHisBillsByDate(HashMap<Object, Object> searchMap);

    List<HashMap<Object, Object>> findHisDetailByParam(HashMap<Object, Object> searchNotUniqueObjMap) throws Exception;


    void saveHisbillsOriginalData(List<HisbillsHistory> hisbillsHistories, String tradeDate);

    void saveHisbillsHistoryData(List<HisbillsHistory> hisbillsHistories, String tradeDate);
}
